Published
Tuesday, August 4, 2009 - 10:27
Written by
The team has released version 2.2.8 today. This release includes an important security update for sites which use CiviCRM Profiles to collect and / or share contact data. We recommend that all sites install this upgrade as soon as possible. Details here: 2.2.8 also includes fixes for IE8 compatibility, some improvements in Views2 integration and approximately 30 other minor bug fixes. You can review a complete list of 2.2.8 changes on the issue tracker. Note that the IE8 fix causes the browser to run in IE7 compatibility mode for all CiviCRM pages.  

Download

You can download CiviCRM 2.2.8 at our download page. Select from the Newest Files section at the top of the page. The filenames include the 2.2.8 label: civicrm-2.2.8…. Be sure and download the correct version for your CMS (Drupal / Joomla! / Standalone).  

New 2.2.8 Installations

If you are installing CiviCRM 2.2.8 from scratch, use the installation instructions linked below:  

Upgrading to 2.2.8

The procedure for upgrading to 2.2.8 is the same for upgrading 2.1.x and prior 2.2.x versions. We have provided a browser-based upgrade script. Instructions for upgrading are here:  

Reporting Issues and Bugs

We look forward to getting your feedback on the release in the coming days. If you have questions about installing, upgrading and / or using 2.2.x features - or you're seeing a problem and you're not sure if it's a bug - please post your issue to the applicable section of the Community Forum. Include as many specifics as possible about the issue or question. Bugs should be reported via our issue tracking system. Please select 2.2.8 in the ‘Affects Version’ dropdown. You will need to register as a user – this ensures that we can follow-up with you on your bug reports if necessary. Please ensure that the bug you’ve found is not reported already by checking the open issues queue.